Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface EntityCache

All Superinterfaces:
  AllowedOperationsFlags, ContainerPlugin, InstanceCache, org.jboss.system.Service

All Known Implementing Classes:
  EntityInstanceCache, PerTxEntityInstanceCache

public interface EntityCache
extends InstanceCache

EntityCaches can work from several keys.

A cache can use the natural primaryKey from the EJBObject, or DB dependent keys or a proprietary key

Version:
  $Revision: 1.7 $
Author:
  Marc Fleury
See Also:
  `EntityInstanceCache`

Field Summary

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Method Summary
`Object` | `createCacheKey(Object id)` Returns the key used to cache the context

Methods inherited from interface org.jboss.ejb.InstanceCache
`flush, get, getCacheSize, insert, isActive, release, remove`

Methods inherited from interface org.jboss.ejb.ContainerPlugin
`setContainer`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### createCacheKey

    public Object createCacheKey(Object id)

  Returns the key used to cache the context

  Parameters:
    `id` - Object id / primary key
  Returns:
    Cache key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.